Index: /palm/trunk/SCRIPTS/document_changes
===================================================================
--- /palm/trunk/SCRIPTS/document_changes	(revision 1803)
+++ /palm/trunk/SCRIPTS/document_changes	(revision 1804)
@@ -20,5 +20,5 @@
 # Current revisions:
 # -----------------
-# 
+# Removed printing of "this is an alpha version"
 # 
 # Former revisions:
@@ -76,5 +76,4 @@
     fi
     printf "\n  *** Checking files in $input_dir\n"
-    printf "\n  +++ THIS IS AN ALPHA VERSION. PLEASE CHECK THE MODIFIED FILES BEFORE COMMITTING\n"
 
     for filename in $input_dir/*; do
@@ -186,6 +185,10 @@
        printf "\n  *** $count_files documents checked.\n"
        printf "  *** $count_changes changed documents found.\n"
-       printf "  *** You can now perform svn commit -m 'last commit documented' trunk\n"
-       printf "\n  +++ THIS IS AN ALPHA VERSION. PLEASE CHECK THE MODIFIED FILES BEFORE COMMITTING\n"
+       printf "\n"
+       printf "  *** All files in $input_dir were checked.\n"     
+       printf "  *** You can now proceed with checking other directories\n"
+       printf "      - or you might want to perform svn commit -m 'last commit documented' trunk\n"
+       printf "\n"      
+       printf "  *** Please do not forget to commit your changes in the changelog \n under https://palm.muk.uni-hannover.de/trac/wiki/doc/tec/changelog !"      
     else
        printf "\n  *** $count_files documents checked.\n"
Index: /palm/trunk/SCRIPTS/mbuild
===================================================================
--- /palm/trunk/SCRIPTS/mbuild	(revision 1803)
+++ /palm/trunk/SCRIPTS/mbuild	(revision 1804)
@@ -22,5 +22,5 @@
 # Current revisions:
 # ------------------
-# 
+# Removed parameter file check
 # 
 # Former revisions:
@@ -1448,52 +1448,8 @@
                 echo "  +++ no qmake found. The (optional) GUI will not be compiled."
              fi
-
-#                 # COMPILE CHECK_NAMELIST_FILES (ONLY FOR ONE BRANCH on LOCALHOST NEEDED)
-#              printf "\n\n"
-#              echo "  *** compiling check_namelist_files ..."
-# 
-#                 # GET CHECK OPTIONS
-#              line=""
-#              found=false
-#              grep  "$remote_host_string" $config_file | grep "%cpp_options"  >  $tmp_mbuild
-#              while read line1
-#              do
-# 
-#                 if [[ $(echo $line1 | cut -d" " -s -f3-) = "$remote_host_string" ]]
-#                 then
-#                    line="$line1"
-#                 fi
-# 
-#                 if [[ "$line" != ""  &&  $(echo $line | cut -c1) != "#" ]]
-#                 then
-#                       # REMOVE COLONS FROM THE OPTION-STRING, IF THERE ARE ANY
-#                    line="$line "
-#                    copts_check=`echo $line | cut -d" " -s -f2 | sed 's/::/%DUM%/g' | sed 's/:/ /g' | sed 's/%DUM%/:/g' | sed 's/-D[^ ]* //g' | sed 's/ -D.*//g'`
-#                    found=true
-#                 fi
-# 
-#              done < $tmp_mbuild
-#              copts_check="$copts_check -D__check -D__parallel"
-# 
-#              check_depository_path=${local_source_path}/../UTIL
-#              cd $check_depository_path
-#              mkdir check_tmp
-#              cp ${local_source_path}/${mainprog}_sources_check.tar ./check_tmp
-#              cd check_tmp
-#              tar -xf  ${mainprog}_sources_check.tar
-#              rm -rf ${mainprog}_sources_check.tar
-#              make  -f Makefile_check $make_options  F90=$compiler_name_ser  COPT="$copts_check"  F90FLAGS="$compiler_options"
-#              tar -cf  check_namelist_files.tar Makefile_check check_namelist_files.x *.f90 *.o *.mod
-#              mv check_namelist_files.tar $check_depository_path
-#              mv check_namelist_files.x $PALM_BIN
-#              cd $check_depository_path
-#              rm -rf check_tmp
-#              util_compiled_localhost=true
           else
              cd $check_depository_path
              printf "\n\n"
-             echo "  *** skipped compilation of mrun GUI."       
-             printf "\n\n"
-             echo "  *** skipped compilation of check_namelist_files (currently not available)."            
+             echo "  *** skipped compilation of mrun GUI."            
           fi
 
Index: /palm/trunk/SCRIPTS/mrun
===================================================================
--- /palm/trunk/SCRIPTS/mrun	(revision 1803)
+++ /palm/trunk/SCRIPTS/mrun	(revision 1804)
@@ -26,4 +26,5 @@
 # ROPTS removed from execution commands
 # Warnings about missing optional files or user code changed to informative messages
+# Removed parameter file check
 # 
 # Former revisions:
@@ -478,5 +479,5 @@
  then
    (printf "\n  *** mrun can be called as follows:\n"
-    printf "\n      $mrun_script_name  -b -c.. -d.. -D.. -f.. -F -h.. -i.. -I -K.. -m.. -o.. -p.. -r.. -R -s.. -t.. -T.. -v -x -X.. -y -Y.. -z -Z <modus> \n"
+    printf "\n      $mrun_script_name  -b -c.. -d.. -D.. -f.. -F -h.. -i.. -I -K.. -m.. -o.. -p.. -r.. -R -s.. -t.. -T.. -v -x -X.. -y -Y.. -Z <modus> \n"
     printf "\n      Description of available options:\n"
     printf "\n      Option  Description                              Default-Value"
@@ -522,5 +523,4 @@
     printf "\n        -Y    run coupled model, \"#1 #2\" with" 
     printf "\n              #1 atmosphere and #2 ocean processors    \"#/2 #/2\" depending on -X"
-    printf "\n        -z    disable a priori parameter file check    ---"
     printf "\n        -Z    skip combine_plot_fields at the end of      "
     printf "\n              the simulation                           ---"
@@ -1208,10 +1208,4 @@
     fi
     eval pathname=${pathin[$i]}
-
-       # SAVE INPUT FILE NAME FOR PARAMETER FILE CHECK
-    if [[ ("${transin[$i]}" = job) && (-f $filename) ]]
-    then
-       filename_input=$filename
-    fi
 
        # CHECK IF FILE EXISTS
@@ -2207,441 +2201,5 @@
  fi
 
-
-    # PERFORM PARAMETER FILE CHECK (COUPLED RUNS ARE NOT SUPPORTED YET)
-    # DEFINE VARIABLES FOR FREQUENTLY USED DIRECTORIES
- check_depository="${working_directory}/trunk/UTIL"
- check_sources="${working_directory}/tmp_check_namelist_files"
- skip_check=false
-
-    # CHECK IF NAMELIST_FILE_CHECK HAS BEEN COMPILED SUCCESSFULLY
- if [[ ! -f $check_depository/check_namelist_files.tar ]]
- then
-    skip_check=true 
-    reason="run on remote host or parameter file check has not been compiled."
- fi
- if [[ ! -f $PALM_BIN/check_namelist_files.x ]]
- then
-    skip_check=true 
-    reason="parameter file check has not been compiled."
- fi
-
-    # CHECK FOR PARALLEL RUN; OTHERWISE SKIP CHECK
- if [[ "$cond1" != "parallel"  &&  "$cond2" != "parallel" ]]
- then
-    skip_check=true 
-    reason="serial run."
- fi
-
-    # ONLY PERFORM CHECK IF -z OPTION IS NOT SET, NO RESTART RUN IS CARRIED OUT
-    # AND IF THE EXECUTION HOST IS THE LOCAL HOST
-    # ATTENTION: THIS ROUTINE DOES NOT WORK IF THE COMPILER ON THE LOCAL HOST
-    # DIFFERS FROM THE COMPILER ON THE REMOTE HOST
- if [[ $check_namelist_files == false ]]
- then
-    skip_check=true
-    reason="-z option set."
- fi
-
- if [[ $fromhost != $localhost ]]
- then
-    skip_check=true
-    reason="submitting host is local host."  
- fi  
-
- if [[ $run_coupled_model == true ]]
- then
-    skip_check=true
-    reason="coupled run."  
- fi
-
- if [[ $restart_run == true ]]
- then
-    skip_check=true
-    reason="restart run."     
- fi
-
-    # SKIP CHECK IN CASE OF RESTART RUN: CHECK WHETHER THE LAST CHAR IS "f" IN PARIN
- (( last_char_int = `echo $filename_input | wc -c` - 1 ))
- last_char=`echo $filename_input | cut -c $last_char_int`
- if [[ "$last_char" == "f" ]]
- then
-    skip_check=true
-    reason="restart run."
- fi 
-
- if [[ $skip_check == false ]]
- then
-    tmp_check=${working_directory}/tmp_check
-
-       # GET TOPOGRAPHY PARAMETER FILE SUFFIX (USUALLY "_TOPO"). THIS FILE IS
-       # NOT NECESSARILY REQUIRED
-    line=""
-    found=false
-    grep  "TOPOGRAPHY_DATA" $config_file  >  $tmp_check
-    while read line1
-    do
-       line="$line1"
-       if [[ "$line" != ""  &&  $(echo $line | cut -c1) != "#" ]]
-       then
-          topo_suffix=`echo $line | tr -s " " | cut -d" " -s -f5`
-          found=true
-       fi
-    done < $tmp_check
-
-    if [[ $found = false ]]
-    then
-       printf "\n  +++ no TOPOGRAPHY list entry found in the configuration file."
-    fi
-
-       # GET NUDGING PARAMETER FILE SUFFIX (USUALLY "_NUDGE"). THIS FILE IS
-       # NOT NECESSARILY REQUIRED
-    line=""
-    found=false
-    grep  "NUDGING_DATA" $config_file  >  $tmp_check
-    while read line1
-    do
-       line="$line1"
-       if [[ "$line" != ""  &&  $(echo $line | cut -c1) != "#" ]]
-       then
-          nudge_suffix=`echo $line | tr -s " " | cut -d" " -s -f5`
-          found=true
-       fi
-    done < $tmp_check
-
-    if [[ $found = false ]]
-    then
-       printf "\n  +++ no NUDGING list entry found in the configuration file."
-    fi
-
-       # GET LARGE SCALE FORCING PARAMETER FILE SUFFIX (USUALLY "_LSF"). THIS FILE IS
-       # NOT NECESSARILY REQUIRED
-    line=""
-    found=false
-    grep  "LSF_DATA" $config_file  >  $tmp_check
-    while read line1
-    do
-       line="$line1"
-       if [[ "$line" != ""  &&  $(echo $line | cut -c1) != "#" ]]
-       then
-          lsf_suffix=`echo $line | tr -s " " | cut -d" " -s -f5`
-          found=true
-       fi
-    done < $tmp_check
-
-    if [[ $found = false ]]
-    then
-       printf "\n  +++ no LSF list entry found in the configuration file."
-    fi
-
-    rm -rf ${working_directory}/tmp_check
-
-       # CHECK IF THE P3DF FILE MUST BE CHECKED
-    for  item  in  $input_list
-    do
-       if [[ "$item" == "restart" ]]
-       then
-          check_restart=1
-       else
-          check_restart=0
-       fi
-    done
-
-      # ERROR IF NO PARAMETER FILE WAS FOUND, OTHERWISE PROCEED
-    if [[ (! -f $filename_input) && ( "$filename_input" != "" ) ]]
-    then
-       printf "\n\n  +++ ERROR: parameter file ($filename_input) not found." 
-       locat=check_namelist; exit
-    fi
-   
-       # CHECK IF THE RESTART PARAMETER FILE EXISTS (IF NECESSARY)
-    if  [[ $check_restart == 1 ]]
-    then
-
-       filenamef="${filename_input}f"
-       if [[ ! -f $filenamef ]]
-       then
-          printf "\n\n  +++ WARNING: restart parameter file ($filenamef) is missing."  
-          check_restart=0
-          answer=dummy
-          printf "\n\n"
-
-          if [[ $silent == false ]]
-          then
-             while [[ "$answer" != c  &&  "$answer" != C  && "$answer" != a  &&  "$answer" != A ]]
-             do
-                printf " >>> continue anyway (c(ontinue)/a(bort)) ?  "
-                read  answer
-             done
-             if [[ $answer = a  ||  $answer = A ]]
-             then
-                printf "\n  +++ Aborting...."
-                locat=normal; exit
-             fi
-          fi
-       else
-          check_restart=1
-       fi
-    fi
-
-       # CREATE TEMPORARY SOURCES_FOR_CHECK PATH
-    mkdir $check_sources
-    cd $check_sources
-
-
-       # CHECK FOR USER CODE, OTHERWISE USE THE PRECOMPILED CHECK_NAMELIST_FILES.X
-    if [[ -d $add_source_path ]]
-    then
-       printf "\n\n  *** copying files from $check_depository" 
-       cp $check_depository/check_namelist_files.tar ./
-
-       printf "\n\n  *** untar of makefile and source files in $check_sources"
-       tar -xf check_namelist_files.tar  >  /dev/null  2>&1
-
-       printf "\n\n  *** adding user code." 
-       cp $add_source_path/* ./
-       touch check_namelist_files.f90
-
-          # GET COMPILER OPTIONS AND PERFORM MAKE
-       printf "\n\n  *** compiling code if necessary...\n"
-
-          # workaround for batch jobs on local machine (lcxe6)
-       if [[ $do_batch == true && $do_remote == false ]]
-       then
-          eval $init_cmds
-       fi
-
-          # GET CHECK OPTIONS
-       line=""
-       found=false
-
-       grep  "$localhost" ${base_directory}/${config_file} | grep "%cpp_options"  >  $tmp_check
-
-       while read line1
-       do
-
-          if [[ $(echo $line1 | cut -d" " -s -f3-) = "$localhost" ]]
-          then
-             line="$line1"
-          fi
-
-          if [[ "$line" != ""  &&  $(echo $line | cut -c1) != "#" ]]
-          then
-                # REMOVE COLONS FROM OPTION-STRING, REMOVE ALL -D OPTIONS
-             line="$line "
-             copts_check=`echo $line | cut -d" " -s -f2 | sed 's/::/%DUM%/g' | sed 's/:/ /g' | sed 's/%DUM%/:/g' | sed 's/-D[^ ]* //g' | sed 's/ -D.*//g'`
-             found=true
-          fi
-
-       done < $tmp_check
-       copts_check="$copts_check -D__check -D__parallel"
-
-       make -f Makefile_check F90=$compiler_name_ser  COPT="$copts_check"
-
-          # GET MAKE OUTPUT
-       if [[ $? != 0 ]]
-       then
-          printf "\n  +++ error during make."       
-          answer=dummy
-          printf "\n\n"
-          if [[ $silent == false ]]
-          then
-             while [[ "$answer" != c  &&  "$answer" != C  && "$answer" != a  &&  "$answer" != A ]]
-             do
-                printf " >>> continue anyway (c(ontinue)/a(bort)) ?  "
-                read  answer
-             done
-             if [[ $answer = a  ||  $answer = A ]]
-             then
-                printf "\n  +++ Aborting..."
-                rm -rf  $check_sources
-                locat=normal; exit
-             else
-                skip_check=true
-             fi
-          else
-             skip_check=true
-          fi
-       fi
-    else
-       cp $PALM_BIN/check_namelist_files.x ./
-    fi
-
-    cp $filename_input ./PARIN
-    if [[ $check_restart == 1 ]] 
-    then
-       cp $filenamef ./PARINF   
-    fi
-
-    if [[ -f ${pathname}/${fname}${topo_suffix} && $skip_check == false ]]
-    then
-       printf "\n  *** adding topography data"
-       cp ${pathname}/${fname}${topo_suffix} ./TOPOGRAPHY_DATA
-
-          # IN CASE OF TOPOGRAPHY AND HIGH GRID POINT NUMBERS, THE STACK SIZE 
-          # MUST BE INCREASED. THIS IS DUE TO THE ARRAY nzb_local AND topo_height, 
-          # WHICH REQUIRE SUFFICIENT MEMORY
-       ulimit -s unlimited          
-    fi
-
-    if [[ -f ${pathname}/${fname}${nudge_suffix} && $skip_check == false ]]
-    then
-       printf "\n  *** adding nudging data"
-       cp ${pathname}/${fname}${nudge_suffix} ./NUDGING_DATA       
-    fi
-
-    if [[ -f ${pathname}/${fname}${lsf_suffix} && $skip_check == false ]]
-    then
-       printf "\n  *** adding large scale forcing data"
-       cp ${pathname}/${fname}${lsf_suffix} ./LSF_DATA        
-    fi
-
-       # CREATE ENVPAR FILE, WHICH IS NEEDED BY CHECK_NAMELIST_FILES.X
-    cat  >  ENVPAR  <<  %%END%%
- &envpar  run_identifier = '$fname', host = '$host',
-	    write_binary = '$write_binary', tasks_per_node = $tasks_per_node,
-	    maximum_parallel_io_streams = $maximum_parallel_io_streams,
-	    maximum_cpu_time_allowed = ${cpumax}.,
-	    revision = '$global_revision',
-	    local_dvrserver_running = $local_dvrserver_running /
-
-%%END%%
-
-       # SAFETY CHECK: ONLY PROCEED IF THE PARAMETER CHECK PROGRAM WAS PROPERLY COMPILED
-    if [[ ! -f check_namelist_files.x  &&  $skip_check == false ]]
-    then
-       printf "\n  +++ WARNING: check_namelist_files.x not found."
-       answer=dummy
-       printf "\n\n"
-
-       if [[ $silent == false ]]
-       then
-          while [[ "$answer" != c  &&  "$answer" != C  && "$answer" != a  &&  "$answer" != A ]]
-          do
-             printf " >>> continue anyway (c(ontinue)/a(bort)) ?  "
-             read  answer
-          done
-          if [[ $answer = a  ||  $answer = A ]]
-          then
-             printf "\n  +++ Aborting..."
-             rm -rf  $check_sources
-             locat=normal; exit
-          else
-             printf "\n  *** skipping parameter file check."         
-          fi
-      fi
-       
-    elif [[ $skip_check == false ]]
-    then
-          # STARTING THE PARAMETER FILE CHECK
-       printf "\n\n  *** starting parameter file check..."
-
-          # CHECKING THE P3D FILE
-       printf "\n\n      (1) checking $filename_input"  
-       echo "$numprocs 0 0" > VARIN
-       errors=`./check_namelist_files.x < VARIN 2>&1`
-
-       check_error=false
-       if [[ "$errors" == "" ]]
-       then
-          printf " --> o.k."
-       else
-          printf " --> failed."
-          check_error=true
-          printf "\n\n  $errors"
-       fi
-
-          # CHECKING THE PD3F FILE IF NECESSARY
-       if [[ $check_restart == 1 && $check_error == false ]]
-       then
-          printf "\n\n      (2) checking $filenamef"  
-
-             # FIRST CHECK IF INITIALIZING_ACTIONS="READ_RESTART_DATA" IS SET
-             # IN &INIPAR LIST
-          found=false
-          cat PARINF | while read line
-          do
-             line=$(echo $line|sed 's/ //g')
-             if [[ $line == *"&inipar"* ]]
-             then
-                start_search=true
-             fi 
-
-             if [[ $start_search == true ]]
-             then
-                if [[ $line == *"initializing_actions='read_restart_data'"* ]]
-                then
-                   found=true
-                   break
-                fi
-             fi
-
-             if [[ $line == *"/"* ]]
-             then
-                start_search=false
-             fi 
-
-          done
-
-          if [[ $found = false ]]
-          then
-             printf "\n\n  +++ ERROR: initializing_actions = 'read_restart_data' not found"
-             printf "\n      in &inipar list in $fname$p3df_suffix."
-             rm -rf  $check_sources
-             locat=check_namelist; exit
-          fi
-
-             # READ max_user_pr FROM FILES
-          if [[ -f parin_for_check ]]
-          then
-             read max_pr_user < parin_for_check
-          else
-             max_user_pr=0
-          fi
-
-          echo "$numprocs 1 $max_pr_user" > VARIN
-          errors=`./check_namelist_files.x < VARIN 2>&1`
-
-          if [[ "$errors" == "" ]]
-          then
-             printf " --> o.k."
-          else
-             printf " --> failed."
-             check_error=true
-             printf "\n\n  $errors"
-          fi
-       fi
-    
-          # REPORT ERRORS AND CONTINUE/EXIT
-       if [[ $check_error == true ]]
-       then
-          printf "\n  +++ errors found in the parameter file!\n"
-          answer=dummy
-          printf "\n\n"
-
-          while [[ "$answer" != c  &&  "$answer" != C  && "$answer" != a  &&  "$answer" != A ]]
-          do
-             printf " >>> continue anyway (c(ontinue)/a(bort)) ?  "
-             read  answer
-          done
-
-          if [[ $answer = a  ||  $answer = A ]]
-          then
-             printf "\n  +++ Aborting..."
-             rm -rf  $check_sources
-             locat=normal; exit
-          fi
-        else
-          printf "\n\n  *** parameter file(s) seem(s) to be o.k.\n"
-        fi
-        rm -rf $check_sources
-    fi
- else
-    printf "\n\n  +++ skipping parameter file check due to following reason: $reason \n" 
- fi
-
-    # DELETE TEMPORARY DIRECTORY AND FINISH NAMELIST FILE CHECK   
- rm -rf  $check_sources
- cd $working_directory
-
+ 
     # DETERMINE PATH FOR MAKE DEPOSITORY
  if [[ $do_batch = false  ||  $create_executable_for_batch = true ]]
Index: lm/trunk/SOURCE/Makefile_check
===================================================================
--- /palm/trunk/SOURCE/Makefile_check	(revision 1803)
+++ 	(revision )
@@ -1,175 +1,0 @@
-#--------------------------------------------------------------------------------#
-# This file is part of PALM.
-#
-# PALM is free software: you can redistribute it and/or modify it under the terms
-# of the GNU General Public License as published by the Free Software Foundation,
-# either version 3 of the License, or (at your option) any later version.
-#
-# PALM is distributed in the hope that it will be useful, but WITHOUT ANY
-# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-# A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License along with
-# PALM. If not, see <http://www.gnu.org/licenses/>.
-#
-# Copyright 1997-2014  Leibniz Universitaet Hannover
-#--------------------------------------------------------------------------------#
-#
-# WARNING: don't write filenames with extension .f90 in this header!!!!
-#
-# Current revisions:
-# ------------------
-# 
-# 
-# Former revisions:
-# -----------------
-# $Id$
-#
-# 1359 2014-04-11 17:15:14Z hoffmann
-# mod_particle_attributes added
-#
-# 1320 2014-03-20 08:40:49Z raasch
-# cpu_log renamed cpulog, + mod_kinds in dependency list
-#
-# 1216 2013-08-26 09:31:42Z raasch
-# +tridia_solver
-#
-# 1212 2013-08-15 08:46:27Z raasch
-# object file list replaced by one line statement,
-# -poisfft_hybrid
-#
-# 1111 2013-03-08 23:54:10Z raasch
-# dependencies removed from init_pegrid
-#
-# 1106 2013-03-04 05:31:38Z raasch
-# +cuda_fft_interfaces
-#
-# 1036 2012-10-22 13:43:42Z raasch
-# code put under GPL (PALM 3.9)
-#
-# 870 2012-03-29 14:45:38Z franke
-# user_advec_particles renamed user_lpm_advec,
-# user_init_particles renamed user_lpm_init,
-# user_particle_attributes renamed user_lpm_set_attributes
-#
-# 845 2012-03-07 10:23:05Z maronga
-# Added init_cloud_physics
-#
-# 841 2012-02-28 12:29:49Z maronga
-# Added: exchange_horiz, exchange_horiz_2d, random_function
-#
-# 818 2012-02-08 16:11:23Z maronga
-# Added all user routines.
-#
-# 807 2012-01-25 11:53:51Z maronga
-# Initial revision
-#
-# Description:
-# ------------
-# Makefile for the parameter file check program check_namelist_files to be used
-# by the shell script "mrun"
-#------------------------------------------------------------------------------!
-
-
-PROG = check_namelist_files.x
-
-SOURCES = check_open.f90 check_namelist_files.f90 check_parameters.f90 \
-      close_file.f90 cpulog.f90 cuda_fft_interfaces.f90 exchange_horiz.f90 \
-      exchange_horiz_2d.f90 fft_xy.f90 init_grid.f90 init_masks.f90 \
-      init_cloud_physics.f90 init_pegrid.f90 local_flush.f90 local_stop.f90 \
-      local_system.f90 message.f90 modules.f90 mod_kinds.f90 \
-      mod_particle_attributes.f90 package_parin.f90 \
-      parin.f90 poisfft.f90 random_function.f90 singleton.f90 \
-      subsidence.f90 temperton_fft.f90 tridia_solver.f90 \
-      user_3d_data_averaging.f90 user_actions.f90 \
-      user_additional_routines.f90 user_check_data_output.f90 \
-      user_check_data_output_pr.f90 user_check_parameters.f90 \
-      user_data_output_2d.f90 user_data_output_3d.f90 \
-      user_data_output_dvrp.f90 user_data_output_mask.f90 \
-      user_define_netcdf_grid.f90 user_dvrp_coltab.f90 user_header.f90 \
-      user_init.f90 user_init_3d_model.f90 user_init_grid.f90 \
-      user_init_plant_canopy.f90 user_last_actions.f90 user_lpm_advec.f90 \
-      user_lpm_init.f90 user_lpm_set_attributes.f90 user_module.f90 \
-      user_parin.f90 user_read_restart_data.f90 user_spectra.f90 \
-      user_statistics.f90
-
-OBJS=$(SOURCES:.f90=.o)
-
-CC = cc
-CFLAGS = -O
-
-F90 = 
-COPT =
-F90FLAGS = 
-LDFLAGS =
-
-#to_be_replaced_by_include
-
-.SUFFIXES:
-.SUFFIXES: .o .f90
-
-
-all: $(PROG)
-
-$(PROG): $(OBJS)
-	$(F90) -o $(PROG) $(OBJS) $(LDFLAGS)
-
-clean:
-	rm -f $(PROG) $(OBJS) *.mod *.i *.lst
-
-.f90.o:
-	$(F90) $(F90FLAGS) $(COPT) -c $<
-
-
-check_open.o: modules.o mod_kinds.o
-check_namelist_files.o: modules.o mod_kinds.o
-check_parameters.o: modules.o mod_kinds.o subsidence.o
-close_file.o: modules.o mod_kinds.o
-cpulog.o: modules.o mod_kinds.o
-cuda_fft_interfaces.o: cuda_fft_interfaces.f90 modules.o mod_kinds.o
-exchange_horiz.o: modules.o cpulog.o mod_kinds.o
-exchange_horiz_2d.o: modules.o cpulog.o mod_kinds.o
-fft_xy.o: cuda_fft_interfaces.o modules.o mod_kinds.o singleton.o temperton_fft.o
-init_cloud_physics.o: modules.o mod_kinds.o
-init_grid.o: modules.o mod_kinds.o
-init_masks.o: modules.o mod_kinds.o
-init_pegrid.o: modules.o mod_kinds.o
-local_flush.o: mod_kinds.o
-local_stop.o: modules.o mod_kinds.o
-message.o: modules.o mod_kinds.o
-modules.o: modules.f90 mod_kinds.o
-mod_kinds.o: mod_kinds.f90
-package_parin.o: modules.o mod_kinds.o
-parin.o: modules.o cpulog.o mod_kinds.o
-poisfft.o: cpulog.o modules.o mod_kinds.o fft_xy.o tridia_solver.o
-singleton.o: mod_kinds.o singleton.f90
-subsidence.o: modules.o mod_kinds.o
-temperton_fft.o: modules.o mod_kinds.o
-tridia_solver.o: modules.o mod_kinds.o
-user_3d_data_averaging.o: modules.o mod_kinds.o user_module.o
-user_actions.o: cpulog.o modules.o mod_kinds.o user_module.o
-user_additional_routines.o: modules.o mod_kinds.o user_module.o
-user_check_data_output.o: modules.o mod_kinds.o user_module.o
-user_check_data_output_pr.o: modules.o mod_kinds.o user_module.o
-user_check_parameters.o: modules.o mod_kinds.o user_module.o
-user_data_output_2d.o: modules.o mod_kinds.o user_module.o
-user_data_output_3d.o: modules.o mod_kinds.o user_module.o
-user_data_output_mask.o: modules.o mod_kinds.o user_module.o
-user_data_output_dvrp.o: modules.o mod_kinds.o user_module.o
-user_define_netcdf_grid.o: modules.o mod_kinds.o user_module.o
-user_dvrp_coltab.o: modules.o mod_kinds.o user_module.o
-user_header.o: modules.o mod_kinds.o user_module.o
-user_init.o: modules.o mod_kinds.o user_module.o
-user_init_3d_model.o: modules.o mod_kinds.o user_module.o
-user_init_grid.o: modules.o mod_kinds.o user_module.o
-user_init_plant_canopy.o: modules.o mod_kinds.o user_module.o
-user_last_actions.o: modules.o mod_kinds.o user_module.o
-user_lpm_advec.o: modules.o mod_kinds.o mod_particle_attributes.o user_module.o
-user_lpm_init.o: modules.o mod_kinds.o mod_particle_attributes.o user_module.o
-user_lpm_set_attributes.o: modules.o mod_kinds.o mod_particle_attributes.o \
-      user_module.o
-user_module.o: mod_kinds.o user_module.f90
-user_parin.o: modules.o mod_kinds.o user_module.o
-user_read_restart_data.o: modules.o mod_kinds.o user_module.o
-user_spectra.o: modules.o mod_kinds.o user_module.o
-user_statistics.o: modules.o mod_kinds.o user_module.o
Index: lm/trunk/SOURCE/check_namelist_files.f90
===================================================================
--- /palm/trunk/SOURCE/check_namelist_files.f90	(revision 1803)
+++ 	(revision )
@@ -1,103 +1,0 @@
-!> @file check_namelist_files.f90
-!--------------------------------------------------------------------------------!
-! This file is part of PALM.
-!
-! PALM is free software: you can redistribute it and/or modify it under the terms
-! of the GNU General Public License as published by the Free Software Foundation,
-! either version 3 of the License, or (at your option) any later version.
-!
-! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
-! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
-!
-! You should have received a copy of the GNU General Public License along with
-! PALM. If not, see <http://www.gnu.org/licenses/>.
-!
-! Copyright 1997-2014 Leibniz Universitaet Hannover
-!--------------------------------------------------------------------------------!
-!
-! Current revisions:
-! -----------------
-! 
-! 
-! Former revisions:
-! -----------------
-! $Id$
-!
-! 1682 2015-10-07 23:56:08Z knoop
-! Code annotations made doxygen readable
-!
-! 1320 2014-03-20 08:40:49Z raasch
-! ONLY-attribute added to USE-statements
-!
-! 1088 2013-01-21 09:26:07Z raasch
-! Bugfix: output format changed
-!
-! 1036 2012-10-22 13:43:42Z raasch
-! code put under GPL (PALM 3.9)
-!
-! 931 2012-06-08 15:09:28Z maronga
-! Check of max_pr_user implemented
-!
-! 845 2012-03-07 10:23:05Z maronga
-! Added call to init_cloud_physics
-!
-! 807 2012-01-25 11:53:51Z maronga
-! Initial revision
-!
-! Description:
-! ------------
-!> Perform namelist file check. The program is independent from PALM and used by 
-!> the shell script "mrun" to check the parameter files (e.g. p3d, p3df...) b
-!> efore the job is submitted/started. Source code from the PALM model in used in 
-!> check_namelist_files by means of the cpp directive "__check". The compiled
-!> program resides in the SCRIPTS folder as check_namelist_files.x.
-!------------------------------------------------------------------------------!
-PROGRAM check_namelist_files
- 
-
-
-    USE control_parameters,                                                    &
-        ONLY:  check_restart, max_pr_user
-
-    USE pegrid
-
-
-    IMPLICIT NONE
-
-
-!
-!-- Read number of processors, the variable check_restart and max_user_pr. 
-!-- check_restart gives information whether the initalor the restart parameter
-!-- file must be checked. max_user_pr is usually set by read_var_list
-!-- (excluded in the namelist file check).
-    READ (*,*,ERR=10,END=10)  numprocs, check_restart, max_pr_user
-10  CONTINUE
-
-
-!
-!-- Read control parameters from NAMELIST files and read environment-variables1
-    CALL parin
-
-    OPEN( 11, FILE='parin_for_check', FORM='FORMATTED' )
-    WRITE( 11, FMT='(I4)' )  max_pr_user
-    CLOSE( 11 )
-!
-!-- Determine processor topology and local array indicesy
-
-    CALL init_pegrid
-
-!
-!-- Generate grid parameters
-    CALL init_grid
-
-!
-!-- Check control parameters and deduce further quantities    
-    CALL check_parameters
-
-!
-!-- Check absolute temperature and pressure. Delete this call in case that
-!-- init_3d_model is compiled for the parameter file check
-    CALL init_cloud_physics
-
- END PROGRAM check_namelist_files
Index: /palm/trunk/SOURCE/check_open.f90
===================================================================
--- /palm/trunk/SOURCE/check_open.f90	(revision 1803)
+++ /palm/trunk/SOURCE/check_open.f90	(revision 1804)
@@ -11,5 +11,5 @@
 ! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
 !
-! You should have received a copy of the GNU General Public License along with
+! You should have received a copy of the GNU fGeneral Public License along with
 ! PALM. If not, see <http://www.gnu.org/licenses/>.
 !
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-!
+! Removed code for parameter file check (__check)
 !
 ! Former revisions:
@@ -208,5 +208,4 @@
     IF ( openfile(file_id)%opened )  RETURN
 
-#if ! defined ( __check )
 !
 !-- Only certain files are allowed to be re-opened
@@ -231,5 +230,4 @@
        END SELECT
     ENDIF
-#endif
 
 !
@@ -283,21 +281,6 @@
        CASE ( 11 )
 
-#if defined ( __check )
-!
-!--       In case of a prior parameter file check, the p3d data is stored in 
-!--       PARIN, while the p3df is stored in PARINF. This only applies to
-!--       check_namelist_files!
-          IF ( check_restart == 2 ) THEN
-             OPEN ( 11, FILE='PARINF'//TRIM( coupling_char ),                  &
-                        FORM='FORMATTED', STATUS='OLD' )
-          ELSE
-             OPEN ( 11, FILE='PARIN'//TRIM( coupling_char ), FORM='FORMATTED', &
-                        STATUS='OLD' )
-          END IF
-#else
-
           OPEN ( 11, FILE='PARIN'//TRIM( coupling_char ), FORM='FORMATTED',    &
                      STATUS='OLD' )
-#endif
 
        CASE ( 13 )
@@ -328,5 +311,5 @@
                 CALL local_system( 'mkdir  BINOUT' // TRIM( coupling_char ) )
              ENDIF
-#if defined( __parallel ) && ! defined ( __check )
+#if defined( __parallel )
 !
 !--          Set a barrier in order to allow that all other processors in the 
@@ -371,5 +354,5 @@
                         FORM='UNFORMATTED', POSITION='APPEND' )
           ELSE
-#if defined( __parallel ) && ! defined ( __check )
+#if defined( __parallel )
 !
 !--          Set a barrier in order to allow that all other processors in the 
@@ -563,5 +546,5 @@
                                    TRIM( coupling_char ) )
              ENDIF
-#if defined( __parallel ) && ! defined ( __check )
+#if defined( __parallel )
 !
 !--          Set a barrier in order to allow that thereafter all other
@@ -615,5 +598,5 @@
                                    TRIM( coupling_char ) )
              ENDIF
-#if defined( __parallel ) && ! defined ( __check )
+#if defined( __parallel )
 !
 !--          Set a barrier in order to allow that thereafter all other
@@ -673,5 +656,5 @@
                 CALL netcdf_handle_error( 'check_open', 21 )
                 IF ( myid == 0 )  CALL local_system( 'rm ' // TRIM( filename ) )
-#if defined( __parallel ) && ! defined ( __check )
+#if defined( __parallel )
 !
 !--             Set a barrier in order to assure that PE0 deleted the old file
@@ -735,5 +718,5 @@
                 CALL netcdf_handle_error( 'check_open', 24 )
                 IF ( myid == 0 )  CALL local_system( 'rm ' // TRIM( filename ) )
-#if defined( __parallel ) && ! defined ( __check )
+#if defined( __parallel )
 !
 !--             Set a barrier in order to assure that PE0 deleted the old file
@@ -797,5 +780,5 @@
                 CALL netcdf_handle_error( 'check_open', 27 )
                 IF ( myid == 0 )  CALL local_system( 'rm ' // TRIM( filename ) )
-#if defined( __parallel ) && ! defined ( __check )
+#if defined( __parallel )
 !
 !--             Set a barrier in order to assure that PE0 deleted the old file
@@ -940,5 +923,5 @@
                 CALL netcdf_handle_error( 'check_open', 36 )
                 IF ( myid == 0 )  CALL local_system( 'rm ' // TRIM( filename ) )
-#if defined( __parallel ) && ! defined ( __check )
+#if defined( __parallel )
 !
 !--             Set a barrier in order to assure that PE0 deleted the old file
@@ -1057,5 +1040,5 @@
                                        TRIM( coupling_char ) // '/' )
                 ENDIF
-#if defined( __parallel ) && ! defined ( __check )
+#if defined( __parallel )
 ! 
 !--             Set a barrier in order to allow that all other processors in the
Index: /palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/check_parameters.f90	(revision 1803)
+++ /palm/trunk/SOURCE/check_parameters.f90	(revision 1804)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Removed code for parameter file check (__check)
 !
 ! Former revisions:
@@ -425,5 +425,4 @@
 
 
-#if ! defined( __check )
        IF ( myid == 0 ) THEN
           CALL MPI_SEND( dt_coupling, 1, MPI_REAL, target_id, 11, comm_inter,  &
@@ -433,5 +432,5 @@
        ENDIF
        CALL MPI_BCAST( remote, 1, MPI_REAL, 0, comm2d, ierr)
-#endif      
+ 
        IF ( dt_coupling /= remote )  THEN
           WRITE( message_string, * ) 'coupling mode "', TRIM( coupling_mode ), &
@@ -441,5 +440,5 @@
        ENDIF
        IF ( dt_coupling <= 0.0_wp )  THEN
-#if ! defined( __check )
+
           IF ( myid == 0  ) THEN
              CALL MPI_SEND( dt_max, 1, MPI_REAL, target_id, 19, comm_inter, ierr )
@@ -448,5 +447,5 @@
           ENDIF   
           CALL MPI_BCAST( remote, 1, MPI_REAL, 0, comm2d, ierr)
-#endif          
+      
           dt_coupling = MAX( dt_max, remote )
           WRITE( message_string, * ) 'coupling mode "', TRIM( coupling_mode ), &
@@ -455,5 +454,5 @@
           CALL message( 'check_parameters', 'PA0005', 0, 1, 0, 6, 0 )
        ENDIF
-#if ! defined( __check )
+
        IF ( myid == 0 ) THEN
           CALL MPI_SEND( restart_time, 1, MPI_REAL, target_id, 12, comm_inter, &
@@ -463,5 +462,5 @@
        ENDIF 
        CALL MPI_BCAST( remote, 1, MPI_REAL, 0, comm2d, ierr)
-#endif      
+  
        IF ( restart_time /= remote )  THEN
           WRITE( message_string, * ) 'coupling mode "', TRIM( coupling_mode ), &
@@ -470,5 +469,5 @@
           CALL message( 'check_parameters', 'PA0006', 1, 2, 0, 6, 0 )
        ENDIF
-#if ! defined( __check )
+
        IF ( myid == 0 ) THEN
           CALL MPI_SEND( dt_restart, 1, MPI_REAL, target_id, 13, comm_inter,   &
@@ -478,5 +477,5 @@
        ENDIF   
        CALL MPI_BCAST( remote, 1, MPI_REAL, 0, comm2d, ierr)
-#endif      
+    
        IF ( dt_restart /= remote )  THEN
           WRITE( message_string, * ) 'coupling mode "', TRIM( coupling_mode ), &
@@ -487,5 +486,5 @@
 
        simulation_time_since_reference = end_time - coupling_start_time
-#if ! defined( __check )
+
        IF  ( myid == 0 ) THEN
           CALL MPI_SEND( simulation_time_since_reference, 1, MPI_REAL, target_id, &
@@ -495,5 +494,5 @@
        ENDIF 
        CALL MPI_BCAST( remote, 1, MPI_REAL, 0, comm2d, ierr)
-#endif      
+    
        IF ( simulation_time_since_reference /= remote )  THEN
           WRITE( message_string, * ) 'coupling mode "', TRIM( coupling_mode ), &
@@ -504,5 +503,4 @@
        ENDIF
 
-#if ! defined( __check )
        IF ( myid == 0 ) THEN
           CALL MPI_SEND( dx, 1, MPI_REAL, target_id, 15, comm_inter, ierr )
@@ -512,5 +510,5 @@
        CALL MPI_BCAST( remote, 1, MPI_REAL, 0, comm2d, ierr)
 
-#endif
+
        IF ( coupling_mode == 'atmosphere_to_ocean') THEN
 
@@ -531,5 +529,4 @@
        ENDIF
 
-#if ! defined( __check )
        IF ( myid == 0) THEN
           CALL MPI_SEND( dy, 1, MPI_REAL, target_id, 16, comm_inter, ierr )
@@ -538,5 +535,5 @@
        ENDIF
        CALL MPI_BCAST( remote, 1, MPI_REAL, 0, comm2d, ierr)
-#endif
+
        IF ( coupling_mode == 'atmosphere_to_ocean') THEN
 
@@ -579,5 +576,5 @@
     ENDIF
 
-#if defined( __parallel ) && ! defined ( __check )
+#if defined( __parallel )
 !
 !-- Exchange via intercommunicator
@@ -3856,5 +3853,4 @@
 !
 !-- Check the NetCDF data format
-#if ! defined ( __check )
     IF ( netcdf_data_format > 2 )  THEN
 #if defined( __netcdf4 )
@@ -3879,5 +3875,4 @@
 #endif
     ENDIF
-#endif
 
 !
Index: /palm/trunk/SOURCE/exchange_horiz.f90
===================================================================
--- /palm/trunk/SOURCE/exchange_horiz.f90	(revision 1803)
+++ /palm/trunk/SOURCE/exchange_horiz.f90	(revision 1804)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Removed code for parameter file check (__check)
 ! 
 ! Former revisions:
@@ -102,6 +102,4 @@
                         nxl-nbgp_local:nxr+nbgp_local) ::  ar  !<
                         
-
-#if ! defined( __check )
 
     CALL cpu_log( log_point_s(2), 'exchange_horiz', 'start' )
@@ -290,5 +288,4 @@
     CALL cpu_log( log_point_s(2), 'exchange_horiz', 'stop' )
 
-#endif
  END SUBROUTINE exchange_horiz
 
@@ -319,5 +316,4 @@
                         nxl-nbgp_local:nxr+nbgp_local) ::  ar  !< treated array
 
-#if ! defined( __check )
 
 #if defined( __parallel )
@@ -386,5 +382,4 @@
 
 #endif
-#endif
 
 
Index: /palm/trunk/SOURCE/exchange_horiz_2d.f90
===================================================================
--- /palm/trunk/SOURCE/exchange_horiz_2d.f90	(revision 1803)
+++ /palm/trunk/SOURCE/exchange_horiz_2d.f90	(revision 1804)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-!
+! Removed code for parameter file check (__check)
 ! 
 ! Former revisions:
@@ -86,5 +86,4 @@
     
 
-#if ! defined( __check )
     CALL cpu_log( log_point_s(13), 'exchange_horiz_2d', 'start' )
 
@@ -181,5 +180,4 @@
     CALL cpu_log( log_point_s(13), 'exchange_horiz_2d', 'stop' )
 
-#endif
  END SUBROUTINE exchange_horiz_2d
 
@@ -215,5 +213,4 @@
     INTEGER(iwp) ::  ar(nysg:nyng,nxlg:nxrg)  !<
 
-#if ! defined( __check )
     CALL cpu_log( log_point_s(13), 'exchange_horiz_2d', 'start' )
 
@@ -308,4 +305,3 @@
     CALL cpu_log( log_point_s(13), 'exchange_horiz_2d', 'stop' )
 
-#endif
  END SUBROUTINE exchange_horiz_2d_int
Index: /palm/trunk/SOURCE/init_grid.f90
===================================================================
--- /palm/trunk/SOURCE/init_grid.f90	(revision 1803)
+++ /palm/trunk/SOURCE/init_grid.f90	(revision 1804)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-!
+! Removed code for parameter file check (__check)
 !
 ! Former revisions:
@@ -703,5 +703,5 @@
 
              ENDIF
-#if defined( __parallel ) && ! defined ( __check )
+#if defined( __parallel )
              CALL MPI_BARRIER( comm2d, ierr )
 #endif
@@ -925,5 +925,5 @@
           ENDIF
        ENDDO
-#if ! defined ( __check )
+
 !
 !--    Exchange of lateral boundary values (parallel computers) and cyclic
@@ -962,8 +962,7 @@
           ENDDO
        ENDDO
-#endif
+
     ENDIF
 
-#if ! defined ( __check )
 !
 !-- Preliminary: to be removed after completion of the topography code!
@@ -1736,5 +1735,4 @@
                 nzb_tmp, vertical_influence, wall_l, wall_n, wall_r, wall_s )
 
-#endif
 
  END SUBROUTINE init_grid
Index: /palm/trunk/SOURCE/init_masks.f90
===================================================================
--- /palm/trunk/SOURCE/init_masks.f90	(revision 1803)
+++ /palm/trunk/SOURCE/init_masks.f90	(revision 1804)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Removed code for parameter file check (__check)
 !
 ! Former revisions:
@@ -444,5 +444,5 @@
 !--    Set global masks along all three dimensions (required by
 !--    define_netcdf_header).
-#if defined( __parallel ) && ! defined ( __check )
+#if defined( __parallel )
 !
 !--    PE0 receives partial arrays from all processors of the respective mask
@@ -536,5 +536,5 @@
        ENDIF
 
-#elif ! defined ( __parallel )
+#else
 !
 !--    Local arrays can be relocated directly.
Index: /palm/trunk/SOURCE/init_pegrid.f90
===================================================================
--- /palm/trunk/SOURCE/init_pegrid.f90	(revision 1803)
+++ /palm/trunk/SOURCE/init_pegrid.f90	(revision 1804)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-!
+! Removed code for parameter file check (__check)
 !
 ! Former revisions:
@@ -267,5 +267,4 @@
 
 
-#if ! defined( __check)
 !
 !-- Create the virtual processor grid
@@ -293,5 +292,4 @@
     CALL MPI_COMM_RANK( comm1dy, myidy, ierr )
 
-#endif
 
 !
@@ -489,5 +487,4 @@
 
 
-#if ! defined( __check)
 !
 !-- Collect index bounds from other PEs (to be written to restart file later)
@@ -520,5 +517,4 @@
     ENDIF
 
-#endif
 
 #if defined( __print )
@@ -556,5 +552,5 @@
 #endif
 
-#if defined( __parallel ) && ! defined( __check)
+#if defined( __parallel )
 #if defined( __mpi2 )
 !
@@ -897,5 +893,5 @@
 
           IF ( i == mg_switch_to_pe0_level )  THEN
-#if defined( __parallel ) && ! defined( __check )
+#if defined( __parallel )
 !
 !--          Save the grid size of the subdomain at the switch level, because
@@ -930,5 +926,5 @@
                               ( nzt_l - nzb + 2 )
 
-#elif ! defined ( __parallel )
+#else
              message_string = 'multigrid gather/scatter impossible ' // &
                           'in non parallel mode'
@@ -972,5 +968,5 @@
     grid_level = 0
 
-#if defined( __parallel ) && ! defined ( __check )
+#if defined( __parallel )
 !
 !-- Gridpoint number for the exchange of ghost points (y-line for 2D-arrays)
@@ -1068,5 +1064,5 @@
 #endif
 
-#if defined( __parallel ) && ! defined ( __check )
+#if defined( __parallel )
 !
 !-- Setting of flags for inflow/outflow/nesting conditions in case of non-cyclic
@@ -1138,5 +1134,5 @@
     CALL location_message( 'finished', .TRUE. )
 
-#elif ! defined ( __parallel )
+#else
     IF ( bc_lr == 'dirichlet/radiation' )  THEN
        inflow_l  = .TRUE.
Index: /palm/trunk/SOURCE/local_stop.f90
===================================================================
--- /palm/trunk/SOURCE/local_stop.f90	(revision 1803)
+++ /palm/trunk/SOURCE/local_stop.f90	(revision 1804)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Removed code for parameter file check (__check)
 !
 ! Former revisions:
@@ -68,5 +68,5 @@
         ONLY:  nested_run
 
-#if defined( __parallel ) && ! defined ( __check )
+#if defined( __parallel )
     IF ( coupling_mode == 'uncoupled' )  THEN
        IF ( nested_run )  THEN
Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 1803)
+++ /palm/trunk/SOURCE/modules.f90	(revision 1804)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! Removed code for parameter file check (__check)
 ! 
 ! Former revisions:
@@ -687,7 +687,4 @@
                      subs_vertical_gradient_level_i(10) = -9999
 
-#if defined ( __check )
-    INTEGER(iwp) :: check_restart = 0
-#endif
 
     INTEGER(iwp), DIMENSION(0:1) :: ntdim_2d_xy, ntdim_2d_xz, ntdim_2d_yz, ntdim_3d
@@ -1176,5 +1173,5 @@
     USE kinds
 
-#if defined( __parallel ) && ! defined ( __check )
+#if defined( __parallel )
 #if defined( __lc )
     USE MPI
@@ -1211,9 +1208,6 @@
 
     INTEGER(iwp) ::  ibuf(12), pcoord(2)
-
-#if ! defined ( __check )
     INTEGER(iwp) ::  status(MPI_STATUS_SIZE)
     INTEGER(iwp), DIMENSION(MPI_STATUS_SIZE,100) ::  wait_stat
-#endif
 
     INTEGER(iwp) :: ngp_yz_int, type_xz_int, type_yz_int
Index: /palm/trunk/SOURCE/parin.f90
===================================================================
--- /palm/trunk/SOURCE/parin.f90	(revision 1803)
+++ /palm/trunk/SOURCE/parin.f90	(revision 1804)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-!
+! Removed code for parameter file check (__check)
 !
 ! Former revisions:
@@ -363,16 +363,4 @@
           READ ( 11, inipar, ERR=10, END=11 )
 
-#if defined ( __check )
-!
-!--       In case of a namelist file check, &inipar from the p3d file is
-!--       used. The p3d file here must be closed and the p3df file for reading 
-!--       3dpar is opened.
-          IF ( check_restart == 1 )  THEN
-             CALL close_file( 11 )
-             check_restart = 2
-             CALL check_open( 11 )             
-             initializing_actions = 'read_restart_data'
-          ENDIF
-#endif
           GOTO 12
 
@@ -389,5 +377,4 @@
 !--       check_open)
  12       IF ( TRIM( initializing_actions ) == 'read_restart_data' )  THEN
-#if ! defined ( __check )
              CALL read_var_list
 !
@@ -398,5 +385,4 @@
 !--          Increment the run count
              runnr = runnr + 1
-#endif
           ENDIF
 
@@ -510,5 +496,5 @@
 
        ENDIF
-#if defined( __parallel ) && ! ( __check )
+#if defined( __parallel )
        CALL MPI_BARRIER( MPI_COMM_WORLD, ierr )
 #endif
Index: /palm/trunk/SOURCE/poisfft.f90
===================================================================
--- /palm/trunk/SOURCE/poisfft.f90	(revision 1803)
+++ /palm/trunk/SOURCE/poisfft.f90	(revision 1804)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Removed code for parameter file check (__check)
 ! 
 ! Former revisions:
@@ -150,5 +150,4 @@
     PRIVATE
 
-#if ! defined ( __check )
     PUBLIC  poisfft, poisfft_init
 
@@ -160,11 +159,5 @@
        MODULE PROCEDURE poisfft_init
     END INTERFACE poisfft_init
-#else
-    PUBLIC  poisfft_init
-
-    INTERFACE poisfft_init
-       MODULE PROCEDURE poisfft_init
-    END INTERFACE poisfft_init
-#endif
+
 
  CONTAINS
@@ -196,5 +189,5 @@
 
 
-#if ! defined ( __check )
+
 !------------------------------------------------------------------------------!
 ! Description:
@@ -1499,5 +1492,3 @@
     END SUBROUTINE ffty_tri_ffty
 
-#endif
-
  END MODULE poisfft_mod
Index: /palm/trunk/SOURCE/tridia_solver.f90
===================================================================
--- /palm/trunk/SOURCE/tridia_solver.f90	(revision 1803)
+++ /palm/trunk/SOURCE/tridia_solver.f90	(revision 1804)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! Removed code for parameter file check (__check)
 ! 
 ! Former revisions:
@@ -130,8 +130,6 @@
 !
 !--    Calculate constant coefficients of the tridiagonal matrix
-#if ! defined ( __check )
        CALL maketri
        CALL split
-#endif
 
     END SUBROUTINE tridia_init
Index: /palm/trunk/SOURCE/user_statistics.f90
===================================================================
--- /palm/trunk/SOURCE/user_statistics.f90	(revision 1803)
+++ /palm/trunk/SOURCE/user_statistics.f90	(revision 1804)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Removed code for parameter file check (__check)
 !
 ! Former revisions:
@@ -140,5 +140,5 @@
 !--           value on all PEs, you can omit the MPI_ALLREDUCE call and
 !--           assign ts_value(dots_num_palm+1:,sr) = ts_value_l directly.
-!#if defined( __parallel ) && ! defined ( __check )
+!#if defined( __parallel )
 !       IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
 !       CALL MPI_ALLREDUCE( ts_value_l(dots_num_palm+1),                         &
Index: /palm/trunk/UTIL/mrungui/main.cpp
===================================================================
--- /palm/trunk/UTIL/mrungui/main.cpp	(revision 1803)
+++ /palm/trunk/UTIL/mrungui/main.cpp	(revision 1804)
@@ -18,4 +18,5 @@
 // Current revisions:
 // -----------------
+// Update for use with qt5
 //
 // Former revisions:
@@ -37,5 +38,5 @@
 //----------------------------------------------------------------------------//
 
-#include <QtGui/QApplication>
+#include <QApplication>
 #include "mainwindow.h"
 #include <QProcess>
Index: /palm/trunk/UTIL/mrungui/mainwindow.cpp
===================================================================
--- /palm/trunk/UTIL/mrungui/mainwindow.cpp	(revision 1803)
+++ /palm/trunk/UTIL/mrungui/mainwindow.cpp	(revision 1804)
@@ -18,5 +18,6 @@
 // Current revisions:
 // -----------------
-// 
+// Removed parameter file check
+// Update for use with qt5
 //
 // Former revisions:
@@ -53,5 +54,5 @@
 //----------------------------------------------------------------------------//
 
-#include <QtGui/QApplication>
+#include <QApplication>
 #include "mainwindow.h"
 #include "ui_mainwindow.h"
@@ -230,5 +231,4 @@
     ui->check_advanced->setEnabled(false);
     ui->check_verbose->setEnabled(false);
-    ui->check_namelist_check->setEnabled(false);
     ui->button_start->setEnabled(false);
     ui->button_start->setText("wait...");
@@ -287,5 +287,4 @@
     ui->check_advanced->setEnabled(true);
     ui->check_verbose->setEnabled(true);
-    ui->check_namelist_check->setEnabled(true);
     ui->button_start->setEnabled(true);
     ui->action_save->setEnabled(true);
@@ -1034,15 +1033,4 @@
     }
 
-    status = ui->check_namelist_check->checkState();
-
-    if (status == 2)
-    {
-        activate_flag("z");
-    }
-    else
-    {
-        deactivate_flag("z");
-    }
-
     status = ui->check_A->checkState();
 
@@ -1289,7 +1277,6 @@
 int MainWindow::start_watchdog()
 {
-    system("nohup palm_wd >> /dev/null 2>&1 &");
-
-    return 0;
+    return system("nohup palm_wd >> /dev/null 2>&1 &");
+
 }
 
@@ -1489,8 +1476,4 @@
             {
                ui->check_verbose->setChecked(true);
-            }
-            else if ( parameter == "z")
-            {
-               ui->check_namelist_check->setChecked(true);
             }
             else if ( parameter == "A")
Index: /palm/trunk/UTIL/mrungui/mainwindow.ui
===================================================================
--- /palm/trunk/UTIL/mrungui/mainwindow.ui	(revision 1803)
+++ /palm/trunk/UTIL/mrungui/mainwindow.ui	(revision 1804)
@@ -808,5 +808,5 @@
      </property>
     </widget>
-    <widget class="QCheckBox" name="check_namelist_check">
+    <widget class="QCheckBox" name="check_cycfill">
      <property name="geometry">
       <rect>
@@ -814,17 +814,4 @@
        <y>245</y>
        <width>261</width>
-       <height>23</height>
-      </rect>
-     </property>
-     <property name="text">
-      <string>Skip namelist file check</string>
-     </property>
-    </widget>
-    <widget class="QCheckBox" name="check_cycfill">
-     <property name="geometry">
-      <rect>
-       <x>270</x>
-       <y>197</y>
-       <width>191</width>
        <height>21</height>
       </rect>
@@ -1366,5 +1353,5 @@
      <y>0</y>
      <width>917</width>
-     <height>18</height>
+     <height>20</height>
     </rect>
    </property>
@@ -1374,6 +1361,6 @@
       <x>2175</x>
       <y>98</y>
-      <width>120</width>
-      <height>206</height>
+      <width>159</width>
+      <height>186</height>
      </rect>
     </property>
@@ -2442,20 +2429,4 @@
   </connection>
   <connection>
-   <sender>check_namelist_check</sender>
-   <signal>stateChanged(int)</signal>
-   <receiver>MainWindow</receiver>
-   <slot>check_flags()</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>61</x>
-     <y>609</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>5</x>
-     <y>594</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
    <sender>check_Z</sender>
    <signal>stateChanged(int)</signal>
Index: /palm/trunk/UTIL/mrungui/mrungui.pro
===================================================================
--- /palm/trunk/UTIL/mrungui/mrungui.pro	(revision 1803)
+++ /palm/trunk/UTIL/mrungui/mrungui.pro	(revision 1804)
@@ -3,5 +3,6 @@
 # Current revisions:
 # -----------------
-# 
+# Update for use with qt5
+#
 # Former revisions:
 # -----------------
@@ -18,4 +19,6 @@
 QT       += core gui
 
+greaterThan(QT_MAJOR_VERSION, 4): QT += widgets
+
 TARGET = mrungui.x
 DESTDIR = ../../SCRIPTS/
